---
title: L'art de conter nos expériences collectives
author: Benjamin Roux
headline: Faire récit à l'heure du storytelling
tags: collectif, raconter, facilitation
isbn: 979109630180
---
J'ai lu le livre en une petite soirée, l'écriture étant assez simple et le sujet passionnant. L'auteur analyse à quoi les « traces » laissées par des collectifs peuvent servir, pour qui et de quelle manière. J'étais content d'y voir quelques liens avec [[Micropolitique des groupes]], et ça m'ouvre les yeux sur le travail de recherche de [Pascal Nicolas Le-Strat](https://pnls.fr/).

Quelques morceaux choisis:

> Se raconter sa propre histoire, c'est prendre le temps de regarder le chemin parcouru. […] Après avoir agi pendant plusieurs années, les personnes ressentent le besoin de faire un point, un bilan intermédiaire. Regarder ce qui a été fait, parcouru, questionné pour mieux continuer ensemble.
> 
> — page 63

---

> Ce besoin de venir (re)questionner la manière de faire ensemble est nécessaire à ces collectifs. Ce n'est pas dans l'objectif d'un travail évaluatif des bonnes ou mauvaises pratiques, mais bien dans un désir d'entretenir la flamme collective. **Ces collectifs ont besoin de se questionner sans cesse sur leurs pratiques. Sur les raisons qui les poussent à faire ensemble. Sans quoi, l'activité du groupe piétine et ses membres peuvent se dégager du projet commun.** C'est une manière de redonner de l'élan et de la motivation au collectif. Ce besoin de se redire: « pourquoi nous sommes-nous mis ensemble et où voulions-nous aller ? »
> 
> — page 64

---

 
> C'est notamment ce qu'avance Pascal Nicolas Le-Strat: « **Le travail du commun implique un processus de capacitation, à savoir une montée collective en capacité.** C'est donc sur ce plan spécifique qu'il me semble nécessaire de poser la question de l'empowerment. Travail du commun et empowerment sont deux processus qui se développent en dépendance réciproque, l'une se posant nécessairement comme le présupposé de l'autre, et toujours réciproquement. ».
> **Il va même plus loin en posant la « montée en capacité » comme une nécessité, comme un élément constitutif d'un collectif**: « le collectif rehausse son agit à la mesure des ressources (matérielles et immatérielles) qu'il parvient à construire en commun, et en retour ce commun émergeant […] lui ouvre de nouvelles perspectives d'action et élargit son horizon de pensée »
> 
> — page 64

Ce passage me parle particulièrement: chercher la montée collective en capacité me semble être quelque chose de central dans la vie d'un collectif. Comment dépasser les clivages, et comment se munir d'outils pour, justement, dépasser les problèmes quand ils arrivent.

Le voir ici nommé, voire même mis en prérequis pour un collectif résonne chez moi avec les fois où le collectif ne le permet pas.

---

> Le récit ainsi raconté devient un appui à la mise en capacité des personnes […]. [Ces récits] deviennent une étape presque constitutive de la vie du groupe. Les pratiques autour de ces livrets poussent même l'effet encapacitant au niveau de ce qui se crée durant lerur processus de production. Ce qui est raconté à l'intérieur devient secondaire: « nous on était plutôt à se dire "on en fait trop" [de livrets], et les groupes disaient " ce n'est pas grave si les gens ne lisent pas le livret, on ne le fait pas nécessairement pour qu'il soit lu" ». Le processus de production de livrets de *Capacitation Citoyenne*, est initié par la démarche d'une association qui vient à la rencontre de collectifs pour **leur proposer le récit comme outil d'organisation**. Ce faire moteur est donc effectif lorsque le collectif s'en saisit et reconnaît le sens qu'il peut avoir dans la vie et la dynamique du groupe.
> — page 83

---

> **Il y aurait donc deux types d'imaginaires**. Le premier se rattache à la grande Histoire, **un imaginaire « qui divertit — littéralement, te détourne de la voie »** et qui se matérialise notamment à travers les médias, le divertissement et la Culture (unique et avec une majuscule) de masse, tel qu'Hollywood peut le proposer. **Le second imaginaire, à l'inverse serait « celui qui subvertit**, c'est à dire passe sous la voie, incline le sol, le fracture ». Et s'il est assez aisé de se laisser divertir, d'être dans l'inaction, le geste de subversion quant à lui « est devenu difficile, car subvertir c'est créer » et donc relève de l'action.
> — page 86

> A travers ce processus, *Si on s'alliait ?* s trouve entouré et porté par un mythe extérieur encapacitant fait de leur histoire particulière et de celle, plus globale, de l'organisation communautaire. Ce récit extérieur s'est construit à partir des moments les plus significatifs et nous avons tendance à nous focaliser sur l'heureux, le festif, le jouissif, les affects joyeux. De fait, ce mythe fait l'impasse sur les étapes plus laborieuses par lesquelles le collectif est passé. Les organisateurs et organisatrices se retrouvent ainsi pris au piège entre, d'une part, leurs difficultés et tensions vécues au quotidien dans leur travail, et d'autre part, ce que leur renvoient les personnes extérieures qui ne connaissent d'eux que le côté positif et passionnant de ce qu'ils font. Cette dissonance entre les objectifs atteintes et visibles et les manières laborieuses d'y parvenir est donc invisibilisée.
> 
> Il n'est pas question, ici, de regretter l'existence de ces expériences au prétexte que des souffrances y sont éprouvées. **Nous touchons là, malgré tout, un des enjeux des expériences collectives: la question du « je » dans le « nous » lorsque l'engagement est total (travail, engagement militant, passe-temps…).**
> 
> Dans le cas de *Et si on s'alliait ?*** **il est intéressant de remarquer que le mythe, duquel le collectif était prisonnier, se trouve être un récit** de leur expérience qui est raconté hors des frontières de celle-ci. C'est un récit **construit par des personnes extérieures au collectif à partir des traces que celui-ci donnait à voir.**
> 
> — page 103

Cette question du mythe qui est créé par les collectifs, puis mobilisé, est ce que j'ai parfois pu nommer un « effet performatif », sans comprendre alors que c'était en fait autre chose dont il s'agissait. Le concept de mythe me semble bien mieux correspondre à ce qui se pose parfois: on crée un mythe, puis on lui donne du crédit, quitte même parfois à ce qu'il se substitue à la réalité elle même.

Ce mécanisme me semble assez important à avoir dans mon radar. C'est bien souvent qu'on croit que les collectifs et les dynamiques sont autres choses que ce qu'elles sont en réalité, et que le mythe nous empèche d'y voir clair.