---
date: 2024-03-19
headline: notes hebdo de la semaine
projects: umap
---
# Notes hebdo #21-22

## Ce qui s'est passé

**🗺️ [uMap](https://umap-project.org)**
: J'ai avancé sur des parties un peu souterraines, qui permettent de choisir ce qui va être *rendu* à l'écran lorsque les données sont elles mêmes modifiées.
: J'ai publié l'article sur la comparaison des technologies de gestion des conflits pour permettre une édition décentralisée et avec des connections intermitentes (« CRDT »)
: Une rétrospective avec tout le monde, c'était un chouette moment ou je nous ai senti faire équipe
: Rajouté des tests (pour m'assurer que tout marche bien comme prévu), mais aussi à faire en sorte que la suite de tests actuels soit utilisable en ligne de commande. C'est plus long que prévu, mais ça avance !
: Une démonstration de l'utilisation de certaines bibliothéques dans le cadre d'une application de carto, et pu entammer des discussions avec des personnes de chez automerge, qui aimeraient pousser l'utilisation de cartes, notamment dans le cadre hors-ligne.

Notmyidea:
: J'ai donné un coup de jeune a mon site web. J'ai l'impression de gagner en clarté.

## Des joies 🤗

- Réussir à tenir le cadre du travail alors que j'étais dans un cadre plutôt orienté « vacances ». J'ai vraiment fait plusieurs bonnes sessions de travail !
- Fier de me sentir plus efficace sur la base de code actuelle de umap. Je sens certains points de tension se débloquer.
- Avoir du temps à donner à mes parents pour leur prêter main forte dans un voyage un peu long et fatiguant sinon.
- Recevoir un moment pour discuter facilitation avec Frank. Ça me touche que quelqu'un dont c'est le métier prenne le temps d'en discuter avec moi sans plus d'attentes. 
- Aller observer les oiseaux au delta de l'Ebre. Mes premiers Ibis Falsinele, des Talève sutanes par centaines, beaucoup de flamands roses. Incroyable.

## Des peines 😬

- J'ai mal au dos, et je ne comprends pas bien pourquoi. Un passage chez l'ostéo ne m'a pas tout à fait réparé. J'aimerai vraiment me remettre en mouvement, le changement de la brasserie au dev se fait sentir dans mon corps (moins de port de charge, mais aussi moins d'activité physique).
- Je me suis trouvé pendu à mon téléphone en itinérance. J'aimerai réussir à m'en défaire, pour donner plus de place aux rencontres.
- Je n'ai pas suivi mon intuition qui me disait de remettre une discussion à plus tard. La discussion à donc eu lieu au mauvais moment. On s'en est sorti, mais j'aimerai saisir les opportunités de me taire.
- Je me suis senti mal à l'aise et je n'ai pas osé entamer une discussion pour chercher des alliés. J'aimerai me l'autoriser, c'était possible et utile. 
- J'ai décalé une session « Autodéfense numérique » parce que certaines personnes ne pouvaient plus venir, faisant peser leur décision sur les autres. J'aimerai mieux m'organiser pour la prochaine.

## Vu, Lu, etc

- 📖 Lu [Gestion de(s) conflit(s)](https://www.cdgai.be/publications/gestion-des-conflits/) de Rose-Marie Dethier. Un résumé assez concis (86 pages) de pas mal de choses que j'ai pu lire sur le sujet. J'aime bien le fait que beaucoup de choses y soient. Envie de le trouver au format papier.
- 🎧 Écouté [Les Couilles sur la table: (Une) Histoire des masculinités juives, première partie](https://www.binge.audio/podcast/les-couilles-sur-la-table/(une)-histoire-des-masculinites-juives-(1-2)) [et deuxième](https://www.binge.audio/podcast/les-couilles-sur-la-table/une-histoire-des-masculinites-juives-2-2) qui vient alimenter une discussion familiale, c'est précieux d'avoir ce genre d'émissions. 
- 🎧  Écouté plein d'épisodes de « Programme B »:
	- [La mytho des fachos, l'Adrénochrome](https://www.binge.audio/podcast/programme-b/la-mytho-des-fachos-ladrenochrome) je trouve ça dingue que ce mythe vienne d'un livre. C'est toujours chouette de lire les liens entre le milieu conspi et l'extrême droite. 
	- Un [épisode sur les tradwives](https://www.binge.audio/podcast/programme-b/la-mytho-des-fachos-les-tradwives) ou les liens entre les milieux masculinistes et traditionalistes.
	- [Aux origines de la discrimination positive](https://www.binge.audio/podcast/programme-b/aux-origines-de-la-discrimination-positive) qui revient sur l'histoire de la discrimination positive aux états unis (je ne savais pas que la cour suprème avait décidé d'y mettre un terme en 2023)
	- La série « ils ont fait la télé d'Hanouna », avec [un épisode sur Ardisson et l'autre sur Cauet](https://www.binge.audio/podcast/programme-b/ils-ont-fait-la-tele-dhanouna)
- 🎧 Écouté le podcast « Encore heureux »
	- Des épisodes [sur la santé mentale au travail](https://www.binge.audio/podcast/encoreheureux/bien-etre-mental-au-travail-1-5) (et [un second](https://www.binge.audio/podcast/encoreheureux/bien-etre-mental-au-travail-2-5)) qui ont fait écho avec des situations vécues. J'aurai aimé avoir cette resource il y a deux ans, même si je reste quand même un peu surpris du format « sponsorisé par » avec un épisode ou l'invitée travaille chez le sponsor.
	- Un épisode [sur le rapport au sport](https://www.binge.audio/podcast/encoreheureux/se-reconcilier-avec-le-sport-pourquoi-faire) dans lequel j'ai beaucoup aimé l'approche de « se mettre en mouvement », pour bouger sans se mettre dans une quête de compétition.
	- Un autre [sur le rapport à la créativité](https://www.binge.audio/podcast/encoreheureux/creer-oui-mais-pourquoi) dans lequel j'ai beaucoup aimé le concept des jeux finis (ou l'objectif est de s'amuser) VS les jeux finis (ou il faut gagner).
- [What Makes Disney Villains so Gay? - YouTube](https://www.youtube.com/watch?v=GsWpUSEKSbk). J'ai appris entre autre comment les états-unis ont mis en place [le code Hays](https://fr.wikipedia.org/wiki/Code_Hays) en 1934, qui empêchait les films d'avoir des représentations homosexuelles (et de manquer de respect à la police !). Ce code nécessitait également que les « péchés » soient uniquement représentés par des méchants/antagonistes, qui étaient punis à la fin du film.
- [Le syndrome Magneto : Pourquoi sont-ils si méchants ? - YouTube](https://www.youtube.com/watch?v=VXNcemkm2zY&t=2s)
- [Sainte-Soline, Autopsie d'un carnage - YouTube](https://www.youtube.com/watch?v=3ymjnILRclQ)
