---
date: 2024-04-23
headline: notes hebdo de la semaine
projects: umap
---

# Notes hebdo #26

## Ce qui s'est passé

**🗺️ [uMap](https://umap-projet.org)**
: Ecriture de parcours utilisateur·ice, grace à un outil qui propose de créer des persona, d'imaginer les tâches, questions, freins, moments positifs et opportunités liées.
: Approfondir ma compréhension technique sur les WebSockets, entre autres sur les questions d'authentification.
: [Commencer à écrire le code](https://github.com/umap-project/umap/pull/1754) qui apporte les fonctionnalités de collaboration temps réel, et clarifié les étapes qui seront nécessaires pour arriver à bon port.
: Continuer mon exploration autour de l'utilisation des horloges logiques hybrides, qui ont des propriétés tout à fait intéressantes pour de la synchronisation.

## Des joies 🤗

- Récolter des idées d'interface et de fonctionnalités en suivant une méthodologie nouvelle. J'aime beaucoup le moment de découverte, et la simplicité avec laquelle l'outil permet de trouver de nouvelles pistes.
- Me baser sur le travail effectué durant ces derniers, et voir peu à peu se matérialiser la fameuse « collaboration temps réel ». C'est satisfaisant de savoir que les modifications apportées ces derniers mois sont utiles.
- Sentir qu'il est possible d'exprimer mon intimidation et que ce soit pris en considération. J'ai apprécié les questions et les échanges qui n'était pas seulement centrés sur la technique lors d'une rencontre avec des enjeux pro.
- Prendre le temps de discuter des enjeux et dynamiques actuelles dans d'autres collectifs de travail. J'aime ces échanges et les relations qui en découlent.
- Déconnecter le temps d'un long weekend à la mer, bien manger, profiter des ballades. Me sentir re-sourcé.
- Voir quand mes limites émotionelles sont en train d'être dépassées, et savoir comment aller me resourcer ailleurs.

## Des peines 😬

- Je me suis senti sur la défensive quand certains de mes choix techniques ont été questionnés (sans que je l'ai sollicité). Ça parle de confiance (en moi, et qui m'est accordée). J'aimerai dépasser ce sentiment d'imposture, et questionner pour mieux comprendre les intentions en face — et peut-être les peurs —, avant d'aller sur la discussion technique. 
- J'ai délégué un moment d'apprentissage à un LLM, pour finalement me rendre compte que les réponses formulées par l'outil n'étaient pas correctes. Ça me donne envie de prendre le temps de lire des articles et de les comprendre plutôt que d'essayer de gagner du temps.
- Je me sens impatient durant certains temps de réunion, qui me prennent de l'énergie là ou je voudrais en gagner.  J'aimerai m'autoriser à faire autre chose à ces moments là.

## Vu, Lu, etc

- 🎥 Vu [Mars Express](https://youtu.be/VG0bJHwUR0I) durant le festival national du Film d'animation. Je n'avais aucune attente et j'ai été agréablement surpris.
- ⏯️  Vu [Ceci n'est pas un Atlas / La cartographie comme outil de luttes, 21 exemples à travers le monde / orangotango+ - Éditions du commun](https://www.editionsducommun.org/collections/all/products/ceci-nest-pas-un-atlas-orangotango-nepthys-zwer)
- 🎥 Vu Yannick, de Quentin Dupieux.
- 📘 (re) commencé « La volonté de changer », de bell hooks. Cette fois-ci en Français.
- 📘 (re) lu [« Gestion de(s) conflit(s) » de Rose-Marie Dethier](https://www.cdgai.be/publications/gestion-des-conflits/), reçu au format papier. J'aime beaucoup l'approche synthétique qui y est proposée. Une belle boîte à outils.

---

## Feedback

> The trouble arises when we realize that even our observations are sullied by our perspectives and beliefs. I may notice the basketball because I’ve been instructed or incentivized to pay attention to it, or have simply made a choice to do so, even while you are—for probably very good reasons—concerned about the gorilla.
> 
> — [What you see](https://everythingchanges.us/blog/what-you-see/)

Intéressant de détecter nos angles morts, ici en terme d'attention. En reprenant l'exemple du gorille qui marche au milieu d'un terrain de basket dans lequel on est concentré à compter les passes.

L'exemple est étiré pour parler de ce à quoi on accorde notre attention, et potentiellement tout ce à coté de quoi on passe, surtout dans les moments ou on propose de donner du feedback à quelqu'un, tout en passant à côté du feedback qu'on pourrait se faire à soi même.
