---
date: 2023-10-08
headline: Une semaine bien remplie, mais avec beaucoup de temps de respiration.
projects: argos, legroupe
---
# 2023, Semaine 40

Je me suis réservé les matins pour travailler, et je suis content du rythme que ça à donné à ma semaine. C'était aussi le retour des pomodoros !

## Ce qui s'est passé

**Framasoft / Argos**
: J'ai une première version quasiment fonctionnelle, il reste maintenant à transformer l'essai. J'ai pris le parti d'implémenter les choses au plus direct et de laisser des commentaires sur les choses qui seront à modifier plus loin dans le processus.
: J'ai repensé encore une fois le modèle de données pour arriver à quelque chose qui me semble plus simple et pratique.
: La première version de l'API est prête, et les workers peuvent la consommer, j'ai commencé à coder les premiers *checks*. J'ai un peu galéré avec Pydantic parce que je ne connais pas encore très bien l'outil, j'espère que ce sont des efforts qui vont payer sur le long terme.

**Le groupe, le jeu**
: Troisième journée de travail avec Sam sur notre projet de jeu vidéo textuel. C'était toujours aussi plaisant de travailler ensemble.
: On a mis en place des outils pour faciliter la génération des textes. Malheureusement, les modèles de données en local qu'on a pu essayer n'étaient pas au niveau de ce qu'on arrive à sortir avec GPT4.
: J'ai commencé l'interface web en utilisant Elm et c'est toujours aussi plaisant.

## Des joies

- Profiter du soleil le temps d'une conversation téléphonique avec une amie. Aimer prendre le temps de se parler.
- Sentir que je suis moins exposé au stress de ces dernières années, ça me fait vraiment du bien de me dire qu'un autre quotidien est possible.
- Prévoir un voyage de fin d'année à l'avance. J'étais stressé de ne pas réussir à trouver les billets que je voulais, et le faire à l'avance me décharge.
- Recevoir un appel où on me propose de travailler avec des gens que j'affectionne, sur un projet qui me plait, à un rythme raisonnable. Je vous en dis plus bientôt, mais ça fait au moins du bien à mon égo.
- Voir que temporiser et discuter permet de résoudre des conflit en cours au sein de mon collectif de vie. En créant de l'empathie les un•e•s pour les autres, et sans trop arrondir les angles.
- Découvrir que mon espace de travail à prévu un concert sur le temps du midi, en profiter.
- M'autoriser à partir dans des situations qui générent de l'agacement chez moi, sans sentir de culpabilité.
- Voir qu'il est possible de se dire les choses sans que ce soit mal pris dans le cadre d'un engagement bénévole logiciel.
- Demander des clarifications sur des propositions qui em sont faites pour pouvoir mieux décider.
- Imprimer mon premier prototype de coque de protection pour mon téléphone, au fablab du coin.
- Expliquer le fonctionnement d'outils techniques à une personne intéressée, sentir qu'elle s'en empare.

## Des peines

- Voir plusieurs personnes qui forcent le passage durant un concert. J'aimerai réussir à passer outre, ou à réagir.
- Sentir que certaines plaies récentes se réactivent en présence d'une personne pour qui j'ai du ressentiment. Ça prendra le temps qu'il faut.
- Être frustré par une décision alors qu'elle ne me concerne pas vraiment.
- Me sentir pris au piège d'une conversation qui ne m'intéresse pas vraiment. Ne pas réussir à changer le sujet.

## Vu, lu, écouté

- 📖 J'ai continué [Le conflit n'est pas une agression](https://editions-b42.com/produit/le-conflit-nest-pas-une-agression/) de Sarah Schulmann. J'y ai trouvé des billes concrètes, et une mise en question du mécanisme de blocage de la conversation qui peut avoir lieu dans certains conflits (et auquel j'ai pu avoir recours par le passé). J'aime globalement beaucoup cette lecture.
- 📖 Bientôt terminé [Quelqu'un à qui manquer](https://grand-monde.fr/) de Yohan Boniface. J'aime beaucoup me retrouver dans la peau d'un enfant dans un pays que je ne connais pas. Toutes ces expressions et la manière de raconter avec des mots enfantins, c'est assez magique.
- 📖 J'ai récupéré le dernier tome de [La Vilaine](https://lavilaine-edition.com/), et je l'ai dévoré. Je l'ai trouvé encore plus réussi que les premiers numéros. C'est très chouette de voir des intrigues se dérouler dans sa ville, et d'y trouver des moments partagés.
- 🎧 [Sortir de la justice punitive (Les couilles sur la table)](https://www.binge.audio/podcast/les-couilles-sur-la-table/05-sortir-de-la-justice-punitive) avec Elsa Deck Marsault. Ça vient questionner notre gestion du conflit dans les sphères « de gauche » et militantes. J'aime beaucoup l'écho entre ce podcast et le livre de Sarah Schulmann
- 🕸️ [Un article qui explique les moyens déployés pour faire de la surveillance dans l'affaire Lafarge](https://lessoulevementsdelaterre.org/blog/affaire-lafarge.les-moyens-denquete-utilises-et-quelques-attentions-a-en-tirer). Beaucoup de choses intéressantes dans l'article. En fait c'est aussi effrayant que passionnant. Je ne pensais pas que les relevés téléphoniques pouvaient être utilisés aussi facilement par exemple.
- 🪗 Un concert de [La Yegros](https://fr.wikipedia.org/wiki/La_Yegros), et de [Sidi Watcho](https://www.youtube.com/watch?v=Zap5hzpjp4A) au grand soufflet.
- 🪗 Un concert de [Victoria Delarozière](https://www.compagnie-aziade.fr/victoria-delaroziere/) à la Canopée
- 🍿 J'ai continué et bientôt terminé [Abysses](https://www.france.tv/france-2/abysses/). J'aime bien le pitch de départ, mais les choses s'essouflent un peu. C'est dommage sur 8 épisodes.
- 🍿 Vu [La favorite](https://fr.wikipedia.org/wiki/La_Favorite_(film)), avec Olivia Coleman. C'était… difficile de voir toute cette manipulation à l'œuvre, et en même temps intéressant de le voir documenté.
