---
date: 2024-05-27
headline: notes hebdo de la semaine
projects: dangerzone
---

# Notes hebdo #31

**[Danger Zone](https://dangerzone.rocks/)** ⚠️
*DangerZone transforme des documents potentiellement dangereux en documents sûrs.

- Ma première semaine de travail pour Freedom of the Press Foundation !
- Une rencontre avec l'équipe actuelle et la personne que je remplace.
- Beaucoup de lecture, à la fois de documents de design, de code et de présentation de projets que je découvre.
- Une session d'introduction à la sécurité "Security 101", et la rencontre de l'équipe qui s'occupe des formations envers les journalistes.
- Installé mon environnement de développement, et fait quelques premières petites modifications mineures sur le code.
- Une session de prévention du harcèlement sexuel en milieu pro, obligatoire  dans la ville de New York.

## Des joies 🤗

- Apprécier la qualité des discussions qui ont eu lieu dans le passé autour de l'ajout de nouvelles fonctionnalités et la modification de l'existant, sentir que les décisions prennent le temps qu'il faut, et que tout le monde semble à l'aise avec. Un bon indicateur :-)
- Recevoir l'accueil du groupe, à la fois de manière formelle et lors des discussions un peu moins formelles. Je sens que c'est quelque chose de réfléchi et une culture que je trouve très inspirante.
- Apprendre, techniquement. Je suis à un endroit ou je ne suis encore à l'aise et c'est une joie. L'occasion d'apprendre de plus près Docker, Qt et les process de packaging de différentes distributions (pas que Linux).
- Avoir des nouvelles de la brasserie sans avoir de pincement au cœur. J'avance !

## Des peines 😬

- J'ai envie de prouver que je suis à la bonne place… Confiance en toi, mon amour ⛱. J'aimerai accepter qu'il n'y a rien à prouver.
- Je me sens stressé de bientôt devoir travailler en même temps sur uMap et Dangerzone. J'ai bien fait de prévoir du temps pour commencer, je redoute les semaines où je devrai faire les deux en même temps, ça risque de faire trop. Envie de m'écouter et de me laisser la place de 
- Je n'ai pas assez bougé 😬, surement la conséquence de travailler depuis la maison. J'ai bien envie d'aller faire des ballades régulièrement !
- J'ai mal au dos et je ne m'en occupe toujours pas. J'aimerai que ce soit déjà derrière moi.
- Je n'ai pas pris le temps de faire de la méditation alors que clairement ça aurait été utile. J'aimerai faire les bons choix cette semaine :-)

## Vu, Lu, etc

- 🕸 [Mini Toolkit | Code Review Anxiety Workbook](https://developer-success-lab.gitbook.io/code-review-anxiety-workbook-1/part-three-mini-code-review-anxiety-toolkit/mini-toolkit) avec un cadre qui permet de passer en revue son niveau de stress, et de trouver des moyens de le descendre si besoin.
- ⏯ [Nouvelle-Calédonie : « On a perdu trente-cinq ans de paix en trois jours » | Mediapart](https://www.mediapart.fr/journal/france/160524/nouvelle-caledonie-perdu-trente-cinq-ans-de-paix-en-trois-jours)
- ⏯ [L'appel unitaire d'Olivier Besancenot](https://www.youtube.com/watch?v=7JZSSCKbs9M)
- 🎬 Vu « Chien de la casse » (de Jean Baptiste Durand, avec Raphaël Quenard), j'ai apprécié les questions qui sont soulevées par le film, autour de l'amitié, de l'acceptable et de ce qu'on peut se sentir autorisé à faire « pour le bien » des autres.
- 🎵 Vu [Randy](https://www.youtube.com/watch?app=desktop&v=Tca42K8FKBc&feature=youtu.be) et [Roszalie](https://www.youtube.com/watch?v=ZnkKNlm6pDc)  lors d'un petit festival du coin. J'aime beaucoup le flow du premier, très chouette moment, malgré le côté « je me la pète », et le second était vraiment spéctaculaire. Un bon moment.

### Notes

- [The Container Security Platform | gVisor](https://gvisor.dev/)

### Magic Numbers

> One way to incorporate file type metadata, often associated with Unix and its derivatives, is to store a "magic number" inside the file itself. Originally, this term was used for a specific set of 2-byte identifiers at the beginnings of files, but since any binary sequence can be regarded as a number, any feature of a file format which uniquely distinguishes it can be used for identification. GIF images, for instance, always begin with the ASCII representation of either GIF87a or GIF89a, depending upon the standard to which they adhere. 

J'étais tombé sur ce concept, mais je n'avais pas réalisé que c'était une pratique courrante :-)

#### Aur helpers

> So, what I use at least, is aurutils along with aurto. Essentially, a cron that checks for updates, downloads the updates pkgbuilds and compiles them if there are any, and puts those in a repo for when I next install updates. Pretty cool system, IMO. Others work similarly just more on-demand.
> 
> — [Host your own docker image](https://github.com/freedomofpress/dangerzone/issues/154)

En parcourant les issues de Dangerzone, je suis tombé sur cet utilitaire pour
Archlinux que je ne connaissais pas, pas mal, surtout quand on a pas la fibre à
la maison.

### Harassment prevention

> New York State Law requires that employers of one or more employees must
> conduct sexual harassment prevention training for all employees each year
> 
> [sexual-harassment-training](https://www.nyc.gov/site/cchr/law/sexual-harassment-training.page)

La prévention pour les violences sexuelles en milieu pro est obligatoire dans l'état de New York, et la formation était plutôt réussie je dois dire.

### Secomp filters

> Seccomp is a feature of the Linux kernel that is enabled in (most) contemporary Linux distributions. It restricts a thread to a small number of system calls: `read()`, `write()`, `exit()`, `sigreturn()`
> 
> If the thread calls any other system call, the entire process gets terminated.
>
> – [Seccomp sandbox Wiki.](https://code.google.com/archive/p/seccompsandbox/wikis/overview.wiki)

Je suis en train d'apprendre le fonctionnement de Docker et de son écosystème.
J'en ai profité pour découvrir [gVisor](https://gvisor.dev/) qui permet de
« proposer un *runtime* qui réimplémente le noyau Linux dans le *userspace*, en
utilisant un language *memory-safe* » 🤯

### Tech debt

> Your developers end up spending more time dealing with the debt than writing
new code. I’ve seen this happen over-and-over again with various employers and
clients.
> 
> If you value shipping quickly, you need to take a quarter to pay that tech
debt down. **Yes, that means you’ll have to pause on shipping new features
for a bit**. The payoff is you’ll be able to ship them much more quickly going
forward.
> 
> — [Why paying down tech debt matters | Go Make Things](https://gomakethings.com/why-paying-down-tech-debt-matters/)

Ça fait du bien à lire une fois de temps en temps :-)
