---
date: 2023-10-16
headline: Troisième semaine de travail sur Argos, conversations autour de Umap.
projects: argos, umap
---

# 2023, Semaine 41

## Ce qui s'est passé

**Framasoft / Argos**
: Troisième semaine de travail sur le projet. Tous les **checks** sont maintenant implémentés, et la structure du projet est surement définitive.
: J'ai continué de travailler en mode chantier, à structurer ce qui devait l'être, et je suis plutôt satisfait du résultat. Les choix faits en terme de modèle de données me semblent pertinents en avançant sur le sujet.
: J'ai passé trop de temps sur un bout de code qui est vraiment secondaire. Je l'ai vu mais je n'ai pas réussi à faire les choses « à moitié », pour avancer sur ce qui me paraissait important.
: Je me suis heurté aux limites d'utiliser un micro-framework comme FastAPI, dans lequel il faut faire les choses soi même, et prendre des choix éclairés pour ce qui n'est pas intégré, comme par exemple l'intégration avec les bases de données. Je découvre tardivement l'existence d'une bibliothèque qui semble faire ce que je veux de manière optimale ([Databases](https://github.com/encode/databases)).
: J'ai pris du temps pour ajouter un minimum de tests unitaires sur la base de code, et ça m'a permis de detecter des bugs.

**Umap**
: Je vais sans doute travailler avec David et Yohan sur [Umap](https://github.com/umap-project/umap), pour permettre l'édition collaborative de cartes en temps réel.
: On a eu une première discussion sur le projet, pour échanger sur notre manière d'envisager ce temps de travail ensemble. Je le vois comme un projet de R&D appliqué, et il semble possible de prendre le temps de se poser les bonnes questions avant d'avancer sur une implémentation concrète. C'est un bon moyen pour moi de continuer l'apprentissage entamé avec Kinto sur la synchronisation de données. 

## Des joies

- Voir que j'arrive à parler de ce qui s'est passé pour moi durant ces derniers mois avec de plus en plus de recul et de clarté ;
- Observer les oiseaux et profiter de la faune et la flore sauvage de Bretagne ;
- Passer un week-end entre amis en tout simplicité à discuter, manger, jouer se ballader… Je suis content de reprendre pied sur des choses aussi simples ;
- Me permettre d'être plus décousu
- Travailler de manière un peu décousue, sur des plages de durées pas assez longues. Je sens que j'ai quand même besoin d'au moins 4 heures de suite pour être efficace.
- M'autoriser à faire une visio depuis mon jardin
- Dormir dans un nouveau lieux de mon quotidien, et me sentir reposé au réveil…

## Des peines

- … Et en même temps ça veut dire que je ne dors pas bien dans mon logement actuel.
- Ne pas avoir repris le sport. Je me trouve des excuses pour procrastiner, et je le ressens dans mon corps.
- Ne pas prendre assez le temps de lire. Trop d'écrans le soir :-)
- Sentir que je manque de clarté quand je m'exprime. J'aurai aimé mieux préparer ce temps. J'en sors avec une impression de discussion décousue. 


## Vu, lu, écouté

- 🎧 Fabrice Arfi qui parle de l'affaire Sarkozy/Kadafi et des financements de sa campagne présidentielle, ainsi que des liens avec la dictature Libyenne, dans [la matinale d'OST](https://podcast.crapouillou.net/#ostpolitik). Je n'avais pas suivi du tout cette affaire, et j'en reste bouche bée.
- 🎧 Je me suis mis du coup à écouter la matinale d'OST en podcast (merci Jocelyn de mettre ça à dispo). Peut-être un bon moyen d'avoir de l'info avec un traitement médiatique correct. A suivre :-)
- 🎧 J'ai écouté [Georgie Ta Polyphonie Nous Relie, EP1 La Voix Libre](https://soundcloud.com/user-645992042/georgie-ta-polyphonie-nous-3?in=user-645992042%2Fsets%2Fgeorgie-ta-polyphonie-nous-relie), un épisode de podcast réalisé sur des stages de chants organisés par Tinatine. J'aime le rapport qui y est posé à la voix et aux vibrations.
- 🍿 J'ai regardé quelques épisodes de la deuxième saison de [The Good Place](https://fr.wikipedia.org/wiki/The_Good_Place). Le faire avec un peu de recul lui apporte un peu de fraicheur : j'ai tendance à oublier le second degré si je regarde les épisodes trop proches les uns des autres.
- 🃏 J'ai découvert deux jeux : [Splendor](https://www.spacecowboys.fr/splendor) et [La Gloire de Rome](https://www.trictrac.net/jeu-de-societe/la-gloire-de-rome). Clairement pas les meilleurs en termes d'éthique (les deux sont très colonialistes et patriarcaux), mais j'ai beaucoup aimé découvrir des dynamiques de jeux. Notamment avec La Gloire de Rome qui mets en avant la recherche de combos.
- 📖 J'ai continué [Le conflit n'est pas une agression](https://editions-b42.com/produit/le-conflit-nest-pas-une-agression/) de Sarah Schulmann.